.banner-carousel {
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease;
    -webkit-transition: opacity 1s ease;
    max-height: 500px;
}

.banner-carousel .banner-holder:not(:first-child) {
    display: none;
}

.banner-carousel.slick-initialized {
    visibility: visible;
    opacity: 1;    
}

.banner-carousel .banner-text * {
    line-height: 1;
    margin-bottom: 0;
}

.banner-carousel .w-50 {
    width: 50% !important;
}

.banner-carousel .float-right {
    float: right;
}
.banner-carousel .float-left {
    float: left;
}

.banner-carousel .desktop {
    display: block;
}

.banner-carousel img {
    height: auto;
    max-height: 500px;
}

.banner-carousel.slick-initialized .banner-holder {
    display: flex !important;
}

.banner-carousel .banner-content {
    display: flex;
    /* flex-grow: 1; */
}

/* .banner-carousel .banner-text {
    flex: 1;
    -ms-flex: 1;
} */

.banner-carousel .banner-text-container {
    /* position: relative; */
    /* min-height: 400px; */
    align-items: center;
    display: flex;
}

.banner-carousel .block-image-left .banner-text-container  {
    justify-content: center;
}

.banner-carousel .block-image-left .banner-text,
.banner-carousel .block-image-right .banner-text {
    /* position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%); */
    max-width: 90%;
}

.banner-carousel .block-image-right .banner-text {
    left: 15px;
    left: 2.5vw;
    position: relative;
}


.banner-carousel .block-image-left img,
.banner-carousel .block-image-right img {
    /* min-height: 400px; */
    object-fit: cover;
}

.banner-carousel .block-image-background img{
    width: 100%;
}
.banner-carousel .block-image-background.banner-content {
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: right;
    display: block;
    position: relative;
}
.banner-carousel .block-image-background .banner-text {
    position: absolute;
    width: 50%;
    top: 50%;
    left: 15px;
    left: 2.5vw;
    transform: translateY(-50%);
}

.banner-carousel .block-image-background.text-centered .banner-text {
    left: 50%;
    transform: translate(-50%, -50%);
}

.banner-carousel .block-image-background.text-centered .banner-text {
    width: inherit;
}

.banner-carousel .slick-dots li button {
    border-color: #1CD4C6;
    border-radius: 5%;
    position: static;
    height: 15px;
    width: 15px;
    /* height: 20px;
    width: 20px; */
}

.banner-carousel .slick-dots li button:before {
    background: #1CD4C6;
    border-radius: 5%;
    height: 15px;
    width: 15px;
    left: 0;
    top: 0;
}

.banner-carousel .slick-prev {
    left: -35px;
}
.banner-carousel .slick-next {
    right: -30px;
}

.banner-carousel .slick-prev, .banner-carousel .slick-next {
    width: 30px;
    height: 30px;
    z-index: 99;
}

.banner-carousel.slick-dotted.slick-slider {
    margin-bottom: 60px;
}

.banner-carousel .slick-dots {
    bottom: -25px;
    left: 0;
}


.banner-carousel .slick-prev:before, .banner-carousel .slick-next:before {
    font-family: 'FontAwesome';
    color: #1CD4C6;
    font-size: 40px;
    line-height: 25px;
}

.banner-carousel .slick-prev:before {
    content: "\f104";
}
.banner-carousel .slick-next:before {
    content: "\f105";
}

/* @media (min-width: 1200px) { 
    .banner-carousel .slick-prev {
        left: -4%;
    }
    .banner-carousel .slick-next {
        right: -2.5%;
    }
} */

/* .banner-carousel .banner-text * {
    font-size: 3.5vmax;
} */

/** homepage banner **/
.top-banner {
    position: relative;
}

.top-banner > * {
    font-family: 'canada-type-gibson';
}

.top-banner > div {
    position: relative;
    min-height: 500px;
    align-items: center;
}

.top-banner .title-container > h1,
.top-banner .title-container > h2 {
    color: #0b819f;
    font-size: 2.2rem;
}

.top-banner .title-container strong {
    font-weight: 600;
}

.top-banner .content-left {
    z-index: 9;
    width: 100%;
}

.top-banner .content-left .text{
    margin: 0 auto;
    padding-left: 15px;
    padding-right: 15px;
}

.top-banner .content-image.column {
    width: 100%;
}

.top-banner .content-image.column .mobile {
    position: relative;
    margin-top: 0;
    -webkit-mask-image: linear-gradient(to bottom, transparent 0%, black 40%);
    mask-image: linear-gradient(to bottom, transparent 0%, black 40%);
}

.top-banner .content-image img {
    max-height: 550px;
    object-fit: cover;
}

.top-banner .content-image img.mobile {
    max-height: 250px;
}

.top-banner .content-image .desktop {
    height: 100%;
}

.top-banner .content-image .desktop {
    display: none;
}

.top-banner .find-a-branch-section {
    margin-top: 25px;
}

.top-banner .find-a-branch-section .input-group-btn {
    padding-left: 0;
}

.top-banner .form-content-below {
    font-size: 14px;
    margin-top: 15px;
}

.top-banner .find-a-branch-section .input-group-btn .btn-submit {
    font-size: inherit !important;
    width: 100%;
    padding-left: 25px !important;
    padding-right: 25px;
}
.top-banner h1 {
    margin-bottom: 0.3em;
}

@media (min-width: 768px) {
    /* .top-banner .column {
        float: left;
    } */
    /* .top-banner .content-left.column {
        position: absolute;
        max-width: 500px;
        z-index: 99;
        top: 50%;
        transform: translateY(-50%);
    } */

/* 
    .top-banner .content-image img{
        max-width: 600px;
    } */

    .top-banner .title-container > h1,
    .top-banner .title-container > h2 {
        font-size: 2.7rem;
    }
    
    .top-banner > div:after {
        content: '';
        position: absolute;
        background: -moz-linear-gradient(right, transparent 30%, white 60%);
        background: -webkit-linear-gradient(right, transparent 30%, white 60%);
        background: linear-gradient(right, transparent 30%, white 60%);
        width: 100%;
        height: 100%;
        top: 0;
    }

    .top-banner .content-left .text{
        padding-right: 20px;
    }

    .top-banner .content-image .desktop{
        display: block;
    }

    .top-banner .content-image .mobile{
        display: none;
    }

    .top-banner .content-image.column {
        position: absolute;
        right: 0;
        height: 100%;
        overflow: hidden;
        width: 100%;
        top: 0;
    }

    .top-banner .content p {
        font-size: 20px!important;
    }
}

@media (min-width: 992px) {
    .top-banner .content-image img{
        /* max-width: 768px; */
    }

    .top-banner > div {
        height: 43vh;
        min-height: 375px;
    }

    .top-banner .content-left .text{
        padding-right: 0;
        padding-left: 0;
        width: 508px;
        max-width: 508px;
    }
    
}

/** homepage banner end **/

@media (max-width: 1100px) {
    .banner-carousel .slick-prev, .banner-carousel .slick-next {
        top: auto;
        bottom: -30px;
        -webkit-transform: none;
        -ms-transform: none;
        transform: none;
    }
    .banner-carousel .slick-prev {
        left: 5px;
    }
    .banner-carousel .slick-next {
        right: 5px;
    }

    .top-banner > div {
        height: auto;
        min-height: 375px;
    }
}

@media (max-width: 992px) {
    .top-banner .find-a-branch-section .input-group-btn .btn-submit {
        white-space: normal;
        min-width: 150px;
        line-height: 1.2;
        padding-top: 5px;
        padding-left: 20px !important;
        padding-right: 20px;
    }
}

/* @media (max-width: 992px) {
    .banner-carousel .banner-text * {
        font-size: 5.2vw !important;
    }
    .banner-carousel .desktop {
        display: none !important;
    }
    .banner-carousel .more-text * {
        font-size: 3.2vw !important;
    }
    .banner-carousel .normal-text * {
        font-size: 4.2vw !important;
    }
    .banner-carousel .less-text * {
        font-size: 5.2vw !important;
    }
    .banner-carousel .little-text * {
        font-size: 6.2vw !important;
    }

    .banner-carousel .more-text .additional-description * {
        font-size: 2.2vw !important;
    }
    .banner-carousel .normal-text .additional-description * {
        font-size: 3.2vw !important;
    }
    .banner-carousel .less-text .additional-description * {
        font-size: 4.2vw !important;
    }
    .banner-carousel .little-text .additional-description * {
        font-size: 5.2vw !important;
    }
} */

@media (max-width: 786px) {
    /* .banner-carousel .banner-text * {
        font-size: 4.2vw !important;
    } */
    .banner-carousel .desktop {
        display: none !important;
    }
    .banner-carousel .long-text * {
        font-size: 2.2vw !important;
    }
    .banner-carousel .alot-text * {
        font-size: 2.5vw !important;
    }
    .banner-carousel .more-text * {
        font-size: 3vw !important;
    }
    .banner-carousel .normal-text * {
        font-size: 3.5vw !important;
    }
    .banner-carousel .less-text * {
        font-size: 4.2vw !important;
    }
    .banner-carousel .little-text * {
        font-size: 5.2vw !important;
    }

    .banner-carousel .long-text .additional-description * {
        font-size: 1.2vw !important;
    }
    .banner-carousel .alot-text .additional-description * {
        font-size: 1.5vw !important;
    }
    .banner-carousel .more-text .additional-description * {
        font-size: 2vw !important;
    }
    .banner-carousel .normal-text .additional-description * {
        font-size: 2.2vw !important;
    }
    .banner-carousel .less-text .additional-description * {
        font-size: 3vw !important;
    }
    .banner-carousel .little-text .additional-description * {
        font-size: 3.5vw !important;
    }
}

@media (max-width: 768px) {
    .top-banner .row .column {
        width: 100%;
    }

    .top-banner > div .content-left {
        width: 100%;
    }

    .top-banner .content-left .text, .top-banner .content-left .title-container {
        text-align: center;
    }
}

@media (max-width: 480px) {
    .top-banner .content-image.column .mobile {
        -webkit-mask-image: linear-gradient(to bottom, transparent 0%, black 20%);
        mask-image: linear-gradient(to bottom, transparent 0%, black 20%);
    }
    .top-banner .content p {
        font-size: 14px!important;
    }
}